package Jcg.util;

/**
 * @author Luca Castelli Aleardi (Ecole Polytechnique, 2013)
 * 
 * Node of a doubly linked list, for storing generic type elements
 */
public class DListNode<X> {
		X element;
		DListNode<X> next;
		DListNode<X> previous;

		public DListNode(X element, DListNode<X> next, DListNode<X> previous) {
			this.element = element;
			this.next = next;
			this.previous = previous;
		}
		
		public X getElement() {
			return this.element;
		}
		
		public DListNode<X> getNext() {
			return this.next;
		}

		public DListNode<X> getPrev() {
			return this.previous;
		}

		public void setElement(X element) {
			this.element=element;
		}

		public void setNext(DListNode<X> next) {
			this.next=next;
		}

		public void setPrev(DListNode<X> prev) {
			this.previous=prev;
		}

}
